#
# spec file for package npth
#
# Copyright (c) 2022-2023 ZhuningOS
#


%define lname	libnpth0
Name:           npth
Version:        1.5
Release:        2.11
Summary:        New GNU Portable Threads library
License:        LGPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://gnupg.org/
#DL-URL:        ftp://ftp.gnupg.org/gcrypt/npth/
#Git-Clone:	git://git.gnupg.org/npth
Source:         ftp://ftp.gnupg.org/gcrypt/npth/%name-%version.tar.bz2
Source2:        ftp://ftp.gnupg.org/gcrypt/npth/%name-%version.tar.bz2.sig
# https://www.gnupg.org/signature_key.html
Source4:        %name.keyring
Source99:       %name.changes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%package -n %lname
Summary:        New GNU Portable Threads library
Group:          System/Libraries

%description -n %lname
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%package devel
Summary:        Development files for the GNU New Portable Threads library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
nPth is a non-preemptive threads implementation using an API very
similar to the one known from GNU Pth. In contrast to Pth, nPth is
based on the system's standard threads implementation. Thus, nPth
allows the use of libraries which are not compatible to GNU Pth.

%prep
%setup -q

%build
date=$(date -u +%%Y-%%m-%%dT%%H:%%M+0000 -r %SOURCE99)
%configure \
	--enable-build-timestamp="$date"
make %{?_smp_mflags}

%install
b="%buildroot"
%make_install
find "%buildroot" -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%license COPYING.LIB
%doc AUTHORS NEWS ChangeLog README
%_libdir/libnpth.so.0*

%files devel
%defattr(-,root,root)
%license COPYING.LIB
%doc AUTHORS NEWS ChangeLog README
%_bindir/npth-config
%_includedir/npth.h
%_libdir/libnpth.so
%_datadir/aclocal

%changelog
